# update

abstract suspend fun update (old: T , new: T )(source)

It is expected, that new state will be saved in manager.

If new context will not be equal to old one, it must do some check of availability for replacement of potentially exists state on new context. If this state can't be replaced, it will throw IllegalStateException

#### Throws

IllegalStateException

- in case when new can't be set